%global pkg_name texmath

%global common_summary Haskell %{pkg_name} library

%global common_description The texmathml library provides functions to convert LaTeX math formulas to\
presentation MathML. It supports basic LaTeX and AMS extensions, and it can\
parse and apply LaTeX macros.

%global ghc_pkg_deps ghc-parsec-devel, ghc-syb-devel, ghc-xml-devel

Name:           ghc-%{pkg_name}
Version:        0.4
Release:        6%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

# remove tests and cgi data files
rm -r $RPM_BUILD_ROOT%{_datadir}/%{pkg_name}-%{version}


%ghc_lib_package


%changelog
* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.4-6
- Enable build on sparcv9

* Tue Feb 15 2011 Jens Petersen <petersen@redhat.com> - 0.4-5
- rebuild for haskell-platform-2011.1 updates

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 26 2011 Jens Petersen <petersen@redhat.com> - 0.4-3
- update to cabal2spec-0.22.4

* Tue Dec 21 2010 Jens Petersen <petersen@redhat.com> - 0.4-2
- need depends on syb for ghc-7.0

* Fri Nov 12 2010 Jens Petersen <petersen@redhat.com> - 0.4-1
- GPLv2+
- add deps and description
- remove unused tests and cgi data files

* Fri Nov 12 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.4-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
